[arch-commits] Commit in python-matplotlib/repos (6 files)

Felix Yan fyan at archlinux.org
Tue Feb 17 15:13:18 UTC 2015


    Date: Tuesday, February 17, 2015 @ 16:13:18
  Author: fyan
Revision: 127858

archrelease: copy trunk to community-testing-i686, community-testing-x86_64

Added:
  python-matplotlib/repos/community-testing-i686/
  python-matplotlib/repos/community-testing-i686/PKGBUILD
    (from rev 127857, python-matplotlib/trunk/PKGBUILD)
  python-matplotlib/repos/community-testing-i686/ffmpeg-2.0.patch
    (from rev 127857, python-matplotlib/trunk/ffmpeg-2.0.patch)
  python-matplotlib/repos/community-testing-x86_64/
  python-matplotlib/repos/community-testing-x86_64/PKGBUILD
    (from rev 127857, python-matplotlib/trunk/PKGBUILD)
  python-matplotlib/repos/community-testing-x86_64/ffmpeg-2.0.patch
    (from rev 127857, python-matplotlib/trunk/ffmpeg-2.0.patch)

-------------------------------------------+
 community-testing-i686/PKGBUILD           |  112 ++++++++++++++++++++++++++++
 community-testing-i686/ffmpeg-2.0.patch   |   98 ++++++++++++++++++++++++
 community-testing-x86_64/PKGBUILD         |  112 ++++++++++++++++++++++++++++
 community-testing-x86_64/ffmpeg-2.0.patch |   98 ++++++++++++++++++++++++
 4 files changed, 420 insertions(+)

Copied: python-matplotlib/repos/community-testing-i686/PKGBUILD (from rev 127857, python-matplotlib/trunk/PKGBUILD)
===================================================================
--- community-testing-i686/PKGBUILD	                        (rev 0)
+++ community-testing-i686/PKGBUILD	2015-02-17 15:13:18 UTC (rev 127858)
@@ -0,0 +1,112 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Stéphane Gaudreault <stephane at archlinux.org>
+# Contributor: Stefan Husmann <stefan-husmann at t-online.de>
+# Contributor: Angel 'angvp' Velasquez <angvp[at]archlinux.com.ve>
+# Contributor: Douglas Soares de Andrade <dsa at aur.archlinux.org>
+
+pkgbase=python-matplotlib
+pkgname=('python2-matplotlib' 'python-matplotlib')
+pkgver=1.4.3
+pkgrel=1
+pkgdesc="A python plotting library, making publication quality plots"
+arch=('i686' 'x86_64')
+url='http://matplotlib.org'
+license=('custom')
+checkdepends=('python-nose' 'python2-nose' 'python-mock' 'python2-mock' 'xorg-server-xvfb'
+              'texlive-core' 'texlive-latexextra' 'imagemagick' 'ffmpeg' 'mencoder' 'inkscape')
+makedepends=('python2-pytz' 'python2-numpy' 'python2-pyqt4' 'python-pytz' 'python-numpy'
+             'python-pyqt4' 'tk' 'python-cairocffi' 'python2-cairocffi' 'python-dateutil'
+             'python2-dateutil' 'python-gobject' 'python2-gobject' 'python-pyparsing'
+             'python2-pyparsing' 'pygtk' 'python-six' 'ghostscript' 'texlive-bin'
+             'python-tornado' 'python2-tornado' 'gtk3' 'wxpython' 'python-pyqt5' 'python2-pyqt5'
+             'libxkbcommon-x11' 'python-pillow' 'python2-pillow')
+source=("https://github.com/matplotlib/matplotlib/archive/v$pkgver.tar.gz")
+sha512sums=('4aebbda31934bedbee5206b783e5cbe07db17367d50117a50bb80b7ea4aad987ec225958bed58885c561f00582c309d6e8c0a69861d3b4210a09b2d63975d2aa')
+
+prepare() {
+   cp -a matplotlib-${pkgver} matplotlib-${pkgver}-py2
+
+   cd matplotlib-${pkgver}
+   for file in $(find . -name '*.py' -print); do
+      sed -i -e "s|^#!.*/usr/bin/python|#!/usr/bin/python3|" \
+             -e "s|^#!.*/usr/bin/env *python|#!/usr/bin/env python3|" ${file}
+   done
+
+   cd ../matplotlib-${pkgver}-py2
+   for file in $(find . -name '*.py' -print); do
+      sed -i -e "s|^#!.*/usr/bin/python|#!/usr/bin/python2|" \
+             -e "s|^#!.*/usr/bin/env *python|#!/usr/bin/env python2|" ${file}
+   done
+}
+
+build() {
+   # this seems to need to be present or gtk/gdk dies
+   # and hangs the build checking if gtk3cairo is installed
+   export XDG_RUNTIME_DIR=/tmp
+
+   cd matplotlib-${pkgver}
+   python3 setup.py build
+
+   cd ../matplotlib-${pkgver}-py2
+   python2 setup.py build
+}
+
+check() {
+   cd matplotlib-${pkgver}
+   (
+     export PYTHONPATH="$PWD/build/lib.linux-$CARCH-3.4:$PYTHONPATH"
+     python -c "from matplotlib import font_manager"
+     rm -rf ../tmp_test_dir && mkdir ../tmp_test_dir && cd ../tmp_test_dir
+     xvfb-run -a -s "+extension GLX +extension RANDR +render -screen 0 1280x1024x24" \
+       python ../matplotlib-${pkgver}/tests.py -sv --processes=8 --process-timeout=300 || warning "Tests failed"
+   )
+
+   cd ../matplotlib-${pkgver}-py2
+   (
+     export PYTHONPATH="$PWD/build/lib.linux-$CARCH-2.7:$PYTHONPATH"
+     python2 -c "from matplotlib import font_manager"
+     rm -rf ../tmp_test_dir && mkdir ../tmp_test_dir && cd ../tmp_test_dir
+     xvfb-run -a -s "+extension GLX +extension RANDR +render -screen 0 1280x1024x24" \
+       python2 ../matplotlib-${pkgver}-py2/tests.py -sv --processes=8 --process-timeout=300 || warning "Tests failed"
+   )
+}
+
+package_python2-matplotlib() {
+   depends=('python2-pytz' 'python2-numpy' 'python2-pyqt5' 'python2-dateutil' 'python2-pyparsing' 'libxkbcommon-x11')
+   optdepends=('pygtk: for GTK/GTKAgg/GTKCairo backend'
+               'python2-cairo: for GTKCairo/GTK3Cairo backend'
+               'python2-cairocffi: for GTKCairo/GTK3Cairo backend (alternative to python2-cairo)'
+               'python2-pyqt4: for Qt4Agg backend'
+               'tk: used by the TkAgg backend'
+               'ghostscript: usetex dependencies'
+               'texlive-bin: usetex dependencies'
+               'python2-tornado: for webagg backend'
+               'python2-gobject: for GTK3Agg/GTK3Cairo backend'
+               'wxpython: for WX/WXAgg backend'
+               'python2-pillow: for reading/saving .jpg/bmp/tiff files')
+
+   cd matplotlib-${pkgver}-py2
+   python2 setup.py install -O1 --skip-build --root "${pkgdir}" --prefix=/usr
+
+   install -dm755 "${pkgdir}"/usr/share/licenses/python2-matplotlib
+   install -m 644 doc/users/license.rst "${pkgdir}"/usr/share/licenses/python2-matplotlib
+}
+
+package_python-matplotlib() {
+   depends=('python-pytz' 'python-numpy' 'python-pyqt5' 'python-dateutil' 'python-pyparsing' 'libxkbcommon-x11')
+   optdepends=('python-gobject: for GTK3Agg/GTK3Cairo backend'
+               'python-cairocffi: for GTK3Agg/GTK3Cairo backend'
+               'python-pyqt4: for Qt4Agg backend'
+               'tk: used by the TkAgg backend'
+               'ghostscript: usetex dependencies'
+               'texlive-bin: usetex dependencies'
+               'python-tornado: for webagg backend'
+               'python-pillow: for reading/saving .jpg/bmp/tiff files')
+
+   cd matplotlib-${pkgver}
+   python3 setup.py install -O1 --skip-build --root "${pkgdir}" --prefix=/usr
+
+   install -dm755 "${pkgdir}"/usr/share/licenses/python-matplotlib
+   install -m 644 doc/users/license.rst "${pkgdir}"/usr/share/licenses/python-matplotlib
+}

Copied: python-matplotlib/repos/community-testing-i686/ffmpeg-2.0.patch (from rev 127857, python-matplotlib/trunk/ffmpeg-2.0.patch)
===================================================================
--- community-testing-i686/ffmpeg-2.0.patch	                        (rev 0)
+++ community-testing-i686/ffmpeg-2.0.patch	2015-02-17 15:13:18 UTC (rev 127858)
@@ -0,0 +1,98 @@
+From 1935f1273aef443895a4da4e5f2c4aa86103a414 Mon Sep 17 00:00:00 2001
+From: Vlad Seghete <vlad.seghete at gmail.com>
+Date: Mon, 25 Nov 2013 13:35:57 -0600
+Subject: [PATCH 1/3] fixes issue #2482 and adds note about incompatibility
+ between bbox options and animation backends
+
+---
+ lib/matplotlib/animation.py | 8 ++++----
+ matplotlibrc.template       | 4 ++++
+ 2 files changed, 8 insertions(+), 4 deletions(-)
+
+diff --git a/lib/matplotlib/animation.py b/lib/matplotlib/animation.py
+index 295d60d..9078c5d 100644
+--- a/lib/matplotlib/animation.py
++++ b/lib/matplotlib/animation.py
+@@ -399,9 +399,9 @@ class FFMpegFileWriter(FileMovieWriter, FFMpegBase):
+     def _args(self):
+         # Returns the command line parameters for subprocess to use
+         # ffmpeg to create a movie using a collection of temp images
+-        return [self.bin_path(), '-vframes', str(self._frame_counter),
+-                '-r', str(self.fps), '-i',
+-                self._base_temp_name()] + self.output_args
++        return [self.bin_path(), '-i', self._base_temp_name()-vframes,
++                '-vframes', str(self._frame_counter),
++                '-r', str(self.fps), ] + self.output_args
+ 
+ 
+ # Base class of avconv information.  AVConv has identical arguments to
+diff --git a/matplotlibrc.template b/matplotlibrc.template
+index 473d624..e4d3593 100644
+--- a/matplotlibrc.template
++++ b/matplotlibrc.template
+@@ -380,6 +380,10 @@ backend      : %(backend)s
+ #savefig.edgecolor   : white    # figure edgecolor when saving
+ #savefig.format      : png      # png, ps, pdf, svg
+ #savefig.bbox        : standard # 'tight' or 'standard'.
++                                # 'tight' is incompatible with pipe-based animation
++                                # backends but will workd with temporary file based ones:
++                                # e.g. setting animation.writer to ffmpeg will not work,
++                                # use ffmpeg_file instead
+ #savefig.pad_inches  : 0.1      # Padding to be used when bbox is set to 'tight'
+ #savefig.jpeg_quality: 95       # when a jpeg is saved, the default quality parameter.
+ #savefig.directory   : ~        # default directory in savefig dialog box,
+-- 
+1.8.5.1
+
+
+From f38fcb392d1d247b933f00e65022892007fb8325 Mon Sep 17 00:00:00 2001
+From: Vlad Seghete <vlad.seghete at gmail.com>
+Date: Mon, 25 Nov 2013 13:52:53 -0600
+Subject: [PATCH 2/3] fixed a typo
+
+---
+ lib/matplotlib/animation.py | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/lib/matplotlib/animation.py b/lib/matplotlib/animation.py
+index 9078c5d..07c6d27 100644
+--- a/lib/matplotlib/animation.py
++++ b/lib/matplotlib/animation.py
+@@ -399,7 +399,7 @@ class FFMpegFileWriter(FileMovieWriter, FFMpegBase):
+     def _args(self):
+         # Returns the command line parameters for subprocess to use
+         # ffmpeg to create a movie using a collection of temp images
+-        return [self.bin_path(), '-i', self._base_temp_name()-vframes,
++        return [self.bin_path(), '-i', self._base_temp_name(),
+                 '-vframes', str(self._frame_counter),
+                 '-r', str(self.fps), ] + self.output_args
+ 
+-- 
+1.8.5.1
+
+
+From 5c8f3d605ff045ddfbc3ca950aef85366617af5a Mon Sep 17 00:00:00 2001
+From: Vlad Seghete <vlad.seghete at gmail.com>
+Date: Mon, 25 Nov 2013 14:17:54 -0600
+Subject: [PATCH 3/3] fixed another typo
+
+---
+ lib/matplotlib/animation.py | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/lib/matplotlib/animation.py b/lib/matplotlib/animation.py
+index 07c6d27..9854ca2 100644
+--- a/lib/matplotlib/animation.py
++++ b/lib/matplotlib/animation.py
+@@ -401,7 +401,7 @@ def _args(self):
+         # ffmpeg to create a movie using a collection of temp images
+         return [self.bin_path(), '-i', self._base_temp_name(),
+                 '-vframes', str(self._frame_counter),
+-                '-r', str(self.fps), ] + self.output_args
++                '-r', str(self.fps)] + self.output_args
+ 
+ 
+ # Base class of avconv information.  AVConv has identical arguments to
+-- 
+1.8.5.1
+

Copied: python-matplotlib/repos/community-testing-x86_64/PKGBUILD (from rev 127857, python-matplotlib/trunk/PKGBUILD)
===================================================================
--- community-testing-x86_64/PKGBUILD	                        (rev 0)
+++ community-testing-x86_64/PKGBUILD	2015-02-17 15:13:18 UTC (rev 127858)
@@ -0,0 +1,112 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Stéphane Gaudreault <stephane at archlinux.org>
+# Contributor: Stefan Husmann <stefan-husmann at t-online.de>
+# Contributor: Angel 'angvp' Velasquez <angvp[at]archlinux.com.ve>
+# Contributor: Douglas Soares de Andrade <dsa at aur.archlinux.org>
+
+pkgbase=python-matplotlib
+pkgname=('python2-matplotlib' 'python-matplotlib')
+pkgver=1.4.3
+pkgrel=1
+pkgdesc="A python plotting library, making publication quality plots"
+arch=('i686' 'x86_64')
+url='http://matplotlib.org'
+license=('custom')
+checkdepends=('python-nose' 'python2-nose' 'python-mock' 'python2-mock' 'xorg-server-xvfb'
+              'texlive-core' 'texlive-latexextra' 'imagemagick' 'ffmpeg' 'mencoder' 'inkscape')
+makedepends=('python2-pytz' 'python2-numpy' 'python2-pyqt4' 'python-pytz' 'python-numpy'
+             'python-pyqt4' 'tk' 'python-cairocffi' 'python2-cairocffi' 'python-dateutil'
+             'python2-dateutil' 'python-gobject' 'python2-gobject' 'python-pyparsing'
+             'python2-pyparsing' 'pygtk' 'python-six' 'ghostscript' 'texlive-bin'
+             'python-tornado' 'python2-tornado' 'gtk3' 'wxpython' 'python-pyqt5' 'python2-pyqt5'
+             'libxkbcommon-x11' 'python-pillow' 'python2-pillow')
+source=("https://github.com/matplotlib/matplotlib/archive/v$pkgver.tar.gz")
+sha512sums=('4aebbda31934bedbee5206b783e5cbe07db17367d50117a50bb80b7ea4aad987ec225958bed58885c561f00582c309d6e8c0a69861d3b4210a09b2d63975d2aa')
+
+prepare() {
+   cp -a matplotlib-${pkgver} matplotlib-${pkgver}-py2
+
+   cd matplotlib-${pkgver}
+   for file in $(find . -name '*.py' -print); do
+      sed -i -e "s|^#!.*/usr/bin/python|#!/usr/bin/python3|" \
+             -e "s|^#!.*/usr/bin/env *python|#!/usr/bin/env python3|" ${file}
+   done
+
+   cd ../matplotlib-${pkgver}-py2
+   for file in $(find . -name '*.py' -print); do
+      sed -i -e "s|^#!.*/usr/bin/python|#!/usr/bin/python2|" \
+             -e "s|^#!.*/usr/bin/env *python|#!/usr/bin/env python2|" ${file}
+   done
+}
+
+build() {
+   # this seems to need to be present or gtk/gdk dies
+   # and hangs the build checking if gtk3cairo is installed
+   export XDG_RUNTIME_DIR=/tmp
+
+   cd matplotlib-${pkgver}
+   python3 setup.py build
+
+   cd ../matplotlib-${pkgver}-py2
+   python2 setup.py build
+}
+
+check() {
+   cd matplotlib-${pkgver}
+   (
+     export PYTHONPATH="$PWD/build/lib.linux-$CARCH-3.4:$PYTHONPATH"
+     python -c "from matplotlib import font_manager"
+     rm -rf ../tmp_test_dir && mkdir ../tmp_test_dir && cd ../tmp_test_dir
+     xvfb-run -a -s "+extension GLX +extension RANDR +render -screen 0 1280x1024x24" \
+       python ../matplotlib-${pkgver}/tests.py -sv --processes=8 --process-timeout=300 || warning "Tests failed"
+   )
+
+   cd ../matplotlib-${pkgver}-py2
+   (
+     export PYTHONPATH="$PWD/build/lib.linux-$CARCH-2.7:$PYTHONPATH"
+     python2 -c "from matplotlib import font_manager"
+     rm -rf ../tmp_test_dir && mkdir ../tmp_test_dir && cd ../tmp_test_dir
+     xvfb-run -a -s "+extension GLX +extension RANDR +render -screen 0 1280x1024x24" \
+       python2 ../matplotlib-${pkgver}-py2/tests.py -sv --processes=8 --process-timeout=300 || warning "Tests failed"
+   )
+}
+
+package_python2-matplotlib() {
+   depends=('python2-pytz' 'python2-numpy' 'python2-pyqt5' 'python2-dateutil' 'python2-pyparsing' 'libxkbcommon-x11')
+   optdepends=('pygtk: for GTK/GTKAgg/GTKCairo backend'
+               'python2-cairo: for GTKCairo/GTK3Cairo backend'
+               'python2-cairocffi: for GTKCairo/GTK3Cairo backend (alternative to python2-cairo)'
+               'python2-pyqt4: for Qt4Agg backend'
+               'tk: used by the TkAgg backend'
+               'ghostscript: usetex dependencies'
+               'texlive-bin: usetex dependencies'
+               'python2-tornado: for webagg backend'
+               'python2-gobject: for GTK3Agg/GTK3Cairo backend'
+               'wxpython: for WX/WXAgg backend'
+               'python2-pillow: for reading/saving .jpg/bmp/tiff files')
+
+   cd matplotlib-${pkgver}-py2
+   python2 setup.py install -O1 --skip-build --root "${pkgdir}" --prefix=/usr
+
+   install -dm755 "${pkgdir}"/usr/share/licenses/python2-matplotlib
+   install -m 644 doc/users/license.rst "${pkgdir}"/usr/share/licenses/python2-matplotlib
+}
+
+package_python-matplotlib() {
+   depends=('python-pytz' 'python-numpy' 'python-pyqt5' 'python-dateutil' 'python-pyparsing' 'libxkbcommon-x11')
+   optdepends=('python-gobject: for GTK3Agg/GTK3Cairo backend'
+               'python-cairocffi: for GTK3Agg/GTK3Cairo backend'
+               'python-pyqt4: for Qt4Agg backend'
+               'tk: used by the TkAgg backend'
+               'ghostscript: usetex dependencies'
+               'texlive-bin: usetex dependencies'
+               'python-tornado: for webagg backend'
+               'python-pillow: for reading/saving .jpg/bmp/tiff files')
+
+   cd matplotlib-${pkgver}
+   python3 setup.py install -O1 --skip-build --root "${pkgdir}" --prefix=/usr
+
+   install -dm755 "${pkgdir}"/usr/share/licenses/python-matplotlib
+   install -m 644 doc/users/license.rst "${pkgdir}"/usr/share/licenses/python-matplotlib
+}

Copied: python-matplotlib/repos/community-testing-x86_64/ffmpeg-2.0.patch (from rev 127857, python-matplotlib/trunk/ffmpeg-2.0.patch)
===================================================================
--- community-testing-x86_64/ffmpeg-2.0.patch	                        (rev 0)
+++ community-testing-x86_64/ffmpeg-2.0.patch	2015-02-17 15:13:18 UTC (rev 127858)
@@ -0,0 +1,98 @@
+From 1935f1273aef443895a4da4e5f2c4aa86103a414 Mon Sep 17 00:00:00 2001
+From: Vlad Seghete <vlad.seghete at gmail.com>
+Date: Mon, 25 Nov 2013 13:35:57 -0600
+Subject: [PATCH 1/3] fixes issue #2482 and adds note about incompatibility
+ between bbox options and animation backends
+
+---
+ lib/matplotlib/animation.py | 8 ++++----
+ matplotlibrc.template       | 4 ++++
+ 2 files changed, 8 insertions(+), 4 deletions(-)
+
+diff --git a/lib/matplotlib/animation.py b/lib/matplotlib/animation.py
+index 295d60d..9078c5d 100644
+--- a/lib/matplotlib/animation.py
++++ b/lib/matplotlib/animation.py
+@@ -399,9 +399,9 @@ class FFMpegFileWriter(FileMovieWriter, FFMpegBase):
+     def _args(self):
+         # Returns the command line parameters for subprocess to use
+         # ffmpeg to create a movie using a collection of temp images
+-        return [self.bin_path(), '-vframes', str(self._frame_counter),
+-                '-r', str(self.fps), '-i',
+-                self._base_temp_name()] + self.output_args
++        return [self.bin_path(), '-i', self._base_temp_name()-vframes,
++                '-vframes', str(self._frame_counter),
++                '-r', str(self.fps), ] + self.output_args
+ 
+ 
+ # Base class of avconv information.  AVConv has identical arguments to
+diff --git a/matplotlibrc.template b/matplotlibrc.template
+index 473d624..e4d3593 100644
+--- a/matplotlibrc.template
++++ b/matplotlibrc.template
+@@ -380,6 +380,10 @@ backend      : %(backend)s
+ #savefig.edgecolor   : white    # figure edgecolor when saving
+ #savefig.format      : png      # png, ps, pdf, svg
+ #savefig.bbox        : standard # 'tight' or 'standard'.
++                                # 'tight' is incompatible with pipe-based animation
++                                # backends but will workd with temporary file based ones:
++                                # e.g. setting animation.writer to ffmpeg will not work,
++                                # use ffmpeg_file instead
+ #savefig.pad_inches  : 0.1      # Padding to be used when bbox is set to 'tight'
+ #savefig.jpeg_quality: 95       # when a jpeg is saved, the default quality parameter.
+ #savefig.directory   : ~        # default directory in savefig dialog box,
+-- 
+1.8.5.1
+
+
+From f38fcb392d1d247b933f00e65022892007fb8325 Mon Sep 17 00:00:00 2001
+From: Vlad Seghete <vlad.seghete at gmail.com>
+Date: Mon, 25 Nov 2013 13:52:53 -0600
+Subject: [PATCH 2/3] fixed a typo
+
+---
+ lib/matplotlib/animation.py | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/lib/matplotlib/animation.py b/lib/matplotlib/animation.py
+index 9078c5d..07c6d27 100644
+--- a/lib/matplotlib/animation.py
++++ b/lib/matplotlib/animation.py
+@@ -399,7 +399,7 @@ class FFMpegFileWriter(FileMovieWriter, FFMpegBase):
+     def _args(self):
+         # Returns the command line parameters for subprocess to use
+         # ffmpeg to create a movie using a collection of temp images
+-        return [self.bin_path(), '-i', self._base_temp_name()-vframes,
++        return [self.bin_path(), '-i', self._base_temp_name(),
+                 '-vframes', str(self._frame_counter),
+                 '-r', str(self.fps), ] + self.output_args
+ 
+-- 
+1.8.5.1
+
+
+From 5c8f3d605ff045ddfbc3ca950aef85366617af5a Mon Sep 17 00:00:00 2001
+From: Vlad Seghete <vlad.seghete at gmail.com>
+Date: Mon, 25 Nov 2013 14:17:54 -0600
+Subject: [PATCH 3/3] fixed another typo
+
+---
+ lib/matplotlib/animation.py | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/lib/matplotlib/animation.py b/lib/matplotlib/animation.py
+index 07c6d27..9854ca2 100644
+--- a/lib/matplotlib/animation.py
++++ b/lib/matplotlib/animation.py
+@@ -401,7 +401,7 @@ def _args(self):
+         # ffmpeg to create a movie using a collection of temp images
+         return [self.bin_path(), '-i', self._base_temp_name(),
+                 '-vframes', str(self._frame_counter),
+-                '-r', str(self.fps), ] + self.output_args
++                '-r', str(self.fps)] + self.output_args
+ 
+ 
+ # Base class of avconv information.  AVConv has identical arguments to
+-- 
+1.8.5.1
+



More information about the arch-commits mailing list